@echo off

IF NOT EXIST newcerts MKDIR newcerts

openssl.exe req -verbose -passout file:private\keyCA.ss -new -keyout newcerts\key.pem -out newcerts\key.pem -config openssl.woodwing.sign.cfg
if errorlevel 1 goto e_req_gen

openssl.exe ca -verbose -batch -cert cacert.pem -config openssl.woodwing.sign.cfg -days 7300 -passin file:private\keyCA.ss -policy policy_anything -out newcerts\cert.pem -infiles newcerts\key.pem
if errorlevel 1 goto e_x_sign

openssl.exe pkcs12 -passin file:private\keyCA.ss -passout pass:ww -export -in newcerts\cert.pem -inkey newcerts\key.pem -out newcerts\cert.p12
if errorlevel 1 goto e_cannot_convert 

openssl rsa -passin file:private\keyCA.ss -in newcerts\key.pem -out newcerts\key_unenc.pem
if errorlevel 1 goto e_cannot_convert_to_unencrypted 

goto end

:e_no_param
echo parameter missing
goto end

:e_x_sign
echo error signing a certificate request
goto end

:e_req_gen
echo error using 'req' to generate a certificate request
goto end

:e_cannot_convert
echo error Cannot convert certificate
goto end

:e_cannot_convert_to_unencrypted
echo error Cannot create unencrypted key

:end
